difference(){
   square([110,40]);
   teeth();
}

module teeth(){
    cutout_offset = 0.05;
    kerf = 0.08;
    thickness = 2.74;
    expected_cutout = thickness - kerf;
    initial_cutout = expected_cutout - (cutout_offset * 12);
    
    for(i = [1 : 1 : 10]){
        offset = i * 10;
        actual_cutout = initial_cutout + cutout_offset * i;
        translate([offset,0,0]){
            square([actual_cutout,25]);
            label(str(actual_cutout));
        }
        echo(str(actual_cutout));
    }
}

module label(txt){
    translate([-1,28,0]){
        text(txt, size=2);
    }
}
