// RED, master

#include <Wire.h>
// 1201

//Initializing LED Pin
int led_pin = 6;

int green_arduino = 2;
int blue_arduino = 4;

void setup() {
  //Declaring LED pin as output
  pinMode(led_pin, OUTPUT);

  Wire.begin();        // join i2c bus (address optional for master)

  //Wire.setWireTimeout(500,true);
  Serial.begin(115200);
}

byte x = 0;
String command;

void loop() {
  //Fading the LED
//  for(int i=0; i<255; i++){
//    analogWrite(led_pin, i);
//
//    // send value of i to GREEN
//    sendValueTo(i, green_arduino);
//    sendValueTo(i, blue_arduino);
//
//    Serial.println("send");    
//    Serial.println(i);  // print the integer
//    
//    delay(5);
//  }
//  for(int i=255; i>0; i--){
//    analogWrite(led_pin, i);
//
//    sendValueTo(i, green_arduino);
//    sendValueTo(i, blue_arduino);
//    
//    delay(5);
//  }

    
   //  listen for Serial input from the colorsensor 
    if (Serial.available() ) {
        command = Serial.readStringUntil('\n');
        command.trim();

        // test
//        Serial.println("---");
//        Serial.println(command);

        // w:5379
        // r:1081
        // g:1093
        // b:585
        // w:5379
        // r:1081

        // get the first letter of the command
        char color = command.charAt(0);

//        Serial.println(color);
        
        // get the color value
        String v = command.substring( command.indexOf(":") + 1 );
        int c = v.toInt();
      
        // convert v to a value between 0 and 255
         if (color == 'r' ) {
            // red color, apply to own red LED
            //int r = map(c, 5800, 41700, 0, 255);

            int r = map(c, 0, 6000, 0, 255);
            r = constrain(r, 0, 255);
  
            Serial.print("red:");
//            Serial.println(c);            
            Serial.println(r);
            
            analogWrite(led_pin, r);
         }
         else if (color == 'g' ) {
            //int g = map(c, 6800, 65535, 0, 255);
            int g = map(c, 0, 6000, 0, 255);
            
            g = constrain(g, 0, 255);

            sendValueTo(g, green_arduino);

            Serial.print("green:");
           // Serial.println(c);            
            Serial.println(g);
            
         }
         else if (color == 'b' ) {
            //int b = map(c, 3710, 20500, 0, 255);
            int b = map(c, 0, 6000, 0, 255);
            
            b = constrain(b, 0, 255);

            sendValueTo(b, blue_arduino);

            Serial.print("blue:");
//            Serial.println(c);            
            Serial.println(b);
                                  
         }
         else if (color == 'w' ) {
          // no light yet. to do
          
         }

    }
  
}

void sendValueTo(int value, int target) {
 // Serial.println(value); 
  Wire.beginTransmission(target); // transmit to device #4
  Wire.write(value);              // sends one byte  
  Wire.endTransmission();    // stop transmittin
}
