---
title: "Principles and Practices"
description:
week: "01"
layout: "article"
slug: "principles-and-practices"
categories:
tags:
date: 2022-01-26T11:29:54+01:00
image: sketch-1.jpg
math: false
hidden: false
comments: false
draft: false
menu:
    side:
        weight: -10
        params: 
            icon: date
---

This part is about communicating an initial project proposal. 

## to learn / to do

- Plan and sketch a potential final project

## The Tide monitor

I started FabAcademy without any idea about an end project, so the past two weeks I gave it quite some thought. Many ideas have passed, but one remained: 

**The Tide Monitor**\
*Your personal sea at home*

The idea is to have a nice or even poetic visual representation of the actual tide of the sea. 
As there are many seas and shores in the world, I choose the sea in my hometown: Noordwijk.

I want it to be something that looks good in your house, I am thinking of glass, water, light.

It shows at the minumum the current tide. If time permits I can add a sunset and sunrise (maybe with light).
Both parameters are (in their basis) calculatable: tides for exmample are dependent on the position of both moon and sun.
I know that there are tables of sunset/sunrise, as there are tables of the tides. That means that it could be possible to make a basic offline version by storing these tables somehow on the PCB that I will hopefully learn to create.

Even better would be a version that has access to online data, for example the actual tide. And the weather, so the device could also give an idea about waves and wind.

I think the information it conveys is useful for people. For example, if you want to go for a walk or run at the beach it's handy to know if it is ebb or flood. One glance on the Tide Monitor and you know enough. It is also of interest for surfers, especially when I can get it to collect online data.

But above all, I imagine it to be a nice object to remind people of, and to connect people with, the sea.

![](sketch-1.jpg)

----

![](sketch-2.jpg)
