---
title: "Invention, Intellectual Property, and Income"
description:
week: "17"
layout: "article"
slug: "invention-intellectual-property-and-income"
categories:
tags:
date: 2022-06-16T10:39:28+02:00
image: media/presentation.jpg
math: false
hidden: false
comments: false
draft: false
menu:
    side:
        weight: -10
        params: 
            icon: date
---

## to learn / to do

   - develop a plan for dissemination of your final project
   - prepare drafts of your summary slide (presentation.png, 1920x1080) and video clip (presentation.mp4, 1080p HTML5, < ~minute, < ~10 MB) and put them in your root directory

## looking ahead

What will I do once my project is completed? That is the question I need to answer this week. And to prepare for the - undoubtedly - hectic final presentation week I have to upload a temporary presentation slide and presentation video, so I will not have to figure that out later.

## the process

### License

My work may be shared and adapted as long as it is for non-commercial use and it’s not shared without attribution. So I opt for the [Attribution-NonCommercial 4.0 International (CC BY-NC 4.0)](https://creativecommons.org/licenses/by-nc/4.0/) license.

### Future plans

First and for all, I make this clock for myself. It is something I really want in my house. But ofcourse, I do wonder if other people would like to buy something like this. But at the moment, I am still very much at the beginning. If this version is completed, I will still be in the prototype phase. Adding Wifi, enhancing the packaging, make it more robust and sturdy, there is still a lot to do. So for now there are no specific plans, but it is definitely an option in the back of my head.

### Presentation 

The instructions say to upload the presentation slide and video in the root directory. But when I do that, they do not show up in the [presentation schedule](https://finalprojects.fabacademy.org/#/schedule/2022) . So I check [Erwin's repository](https://gitlab.fabcloud.org/academany/fabacademy/2021/labs/waag/students/kooi-erwin) because I know he also uses Hugo instead of Jekyll. I figure out that he put his presentation media in the static directory in the root, and thus so do I. And that works. You can see the presentation slide in the header of this page. 

This is my final video:

{{< video src="https://fabacademy.org/2022/labs/waag/students/bente-vanbourgondien/presentation.mp4" type="video/mp4" preload="auto" >}}

And this is the slide that goes with it:

{{< image src="https://fabacademy.org/2022/labs/waag/students/bente-vanbourgondien/presentation.png"  >}}
