// Sensor pins
#define sensorPower 8
#define sensorPin 1

#define TEST_LED 10

// Value for storing water level
int val = 0;

void setup() {
  // test LED
  pinMode(TEST_LED, OUTPUT);
  
  // Set sensorPower as an OUTPUT
  pinMode(sensorPower, OUTPUT);
  
  // Set to LOW so no power flows through the sensor
  digitalWrite(sensorPower, LOW);
  
  Serial.begin(9600);
}

void loop() {
  //get the reading from the function below and print it
  int level = readSensor();
  
  Serial.print("Water level: ");
  Serial.println(level);
  
  delay(1000);
}

//This is a function used to get the reading
int readSensor() {
  digitalWrite(sensorPower, HIGH);  // Turn the sensor ON
  digitalWrite(TEST_LED, HIGH); // turn the LED ON
  delay(10);              // wait 10 milliseconds
  val = analogRead(sensorPin);    // Read the analog value form sensor
  digitalWrite(sensorPower, LOW);   // Turn the sensor OFF
  digitalWrite(TEST_LED, LOW); // turn the LED off
  return val;             // send current reading
}
