#define LED A1
#define BUTTON A2

String input;
int led_value = 10;

void setup() {
    pinMode(LED, OUTPUT);
    pinMode(BUTTON, INPUT_PULLUP);

    Serial.begin(9600);
}

void loop() {

   if (Serial.available() ) {
        input = Serial.readStringUntil('-');

        led_value = input.toInt();
  }

  int button_state = digitalRead(BUTTON); // 0 is down, 1 is up

  // pass the state to to serial 
  Serial.println(button_state);

  // pass whatever we get from serial to the LED
  analogWrite(LED,led_value);

  
}
